<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * 
 * @since 1.0.0
 */

 ?>
 <?php get_header() ?>

<div class="fr-container" id="resultatrecherche">
<div class="fr-grid-row fr-grid-row--gutters">
  <div class="fr-col-xl-12 fr-col-lg-12 fr-col-md-12 fr-col-sm-12 fr-col-12">
 <p>
  <?php
  $count = $wp_query->found_posts; //$wp_query est une variable globale contenant les résultats des requêtes
  $several = ($count<=1) ? '' : 's'; //pluriel

if ($count>0) : $output = $count.' résultat'.$several.' pour la recherche';
  else : $output = 'Aucun résultat pour la recherche';
  endif;
  $output .= ' "<span class="terms_search">'. get_search_query() .'</span>"';
  echo $output.'<hr style="width:100%">';
  ?>
  </p>
  <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
    <!-- 1) S'il y a au moins un résultat -->
<div class="fr-card fr-card--horizontal fr-enlarge-link fr-mb-2w" id="post-<?php the_ID(); ?>">
    <div class="fr-card__body">

       <h3 class="fr-card__title">
           <a href="<?php the_permalink(); ?>" class="fr-card__link"><?php the_title(); ?></a>
       </h3>
    </div>
    <?php if (has_post_thumbnail()) {
      ?>
      <div class="fr-card__img">
       <img src="../img/image.jpg" class="fr-responsive-img" alt="">
    </div>
      <?php
    }?>
    
</div>
  <?php
  endwhile;
  else:
  ?>
    <!-- 2) Si pas de résultat -->
  <p>Votre recherche est infructueuse. Veuillez essayer avec d&apos;autres termes de recherche.</p>
  <?php endif; ?>
 </div>
 </div>
 </div>
 <?php get_footer() ?>